#!/bin/bash -l

# Get some variables provided by autosubmit.
WORKDIR=%HPCROOTDIR%
STARTDATE=%SDATE%
MEMBER=%MEMBER%

# Common folder with data needed for all simulations
COMMON_INIDATA_FOLDER=${WORKDIR}/inidata
# Common folder for the same start date
COMMON_DATE_FOLDER=${WORKDIR}/${STARTDATE}/inidata

# Member folder
MEMBER_DIR=${WORKDIR}/${STARTDATE}/${MEMBER}

# Create member folder and go there
mkdir -p ${MEMBER_DIR}

cd ${MEMBER_DIR} || exit


# Link all files from the common inidata folder and the common date folder
ln -sf ${COMMON_INIDATA_FOLDER}/* .

# Format the member number
get_member_number() {
  local var=$1
  if [[ $var =~ [^0-9]*([0-9]+) ]]; then
    printf "%03d" ${BASH_REMATCH[1]}
  fi
}


member_num=$(get_member_number ${MEMBER})

# Link analysis
analysis_file=$(find ${COMMON_DATE_FOLDER} -name "igaf*.m${member_num}.grb" -type f -print -quit)
ln -sf "$analysis_file" .

# Link first guess
ln -sf ${COMMON_DATE_FOLDER}/igfff00030000.m${member_num}.grb .
